unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeProcs, TeePNG, TeeGDIPlus, TeEngine, Series, ExtCtrls, Chart,
  TeeComma, TeeThemes, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TBarSeries;
    TeeCommander1: TTeeCommander;
    Chart2: TChart;
    Series2: TAreaSeries;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ApplyChartTheme(TFlatTheme,Chart1);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  TThemesList.Apply(Chart1,Chart2);
end;

type
  TMyBlueTheme=class(TChartTheme)
  public
    procedure Apply; override;
    function Description:string; override;
  end;

procedure TMyBlueTheme.Apply;
var tmp : TForm1;
begin
  inherited;

  tmp:=TForm1.Create(nil);
  try
    TThemesList.Apply(Self.Chart, tmp.Chart2);
  finally
    tmp.Free;
  end;
end;

function TMyBlueTheme.Description:string;
begin
  result:='My Blue Theme';
end;

procedure TForm1.FormCreate(Sender: TObject);
var t : Integer;
begin
  for t:=1 to 50 do Series2.Add(Random(100));

  RegisterChartThemes([TMyBlueTheme]);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Chart1.ColorPaletteIndex:=5;
end;

procedure TForm1.Button4Click(Sender: TObject);
const
  MyColors : Array[0..7] of TColor = (
    $FF0000,
    $0000FF,
    $00FF00,
    $00CCFF,
    $404040,
    $00FFFF,
    $C000FF,
    $FFFFFF  );

begin
  TColorPalettes.ApplyPalette(Chart1,MyColors);
  Chart1.Invalidate;
end;

end.
